package com.xxfc.platform.uccn.biz;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.github.wxiaoqi.security.common.biz.BaseBiz;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.xxfc.platform.uccn.entity.Article;
import com.xxfc.platform.uccn.mapper.ArticleMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Administrator
 */
@Service
public class ArticleBiz extends BaseBiz<ArticleMapper, Article> {

    public PageInfo getArticleList(Integer page, Integer limit) {
        PageHelper.startPage(page,limit);
        List articleList = mapper.getArticleList();
        return PageInfo.of(articleList);
    }
}
